summaryrefslogtreecommitdiff
path: root/dev-cpp/gmock/gmock-1.6.0.ebuild
diff options
context:
space:
mode:
Diffstat (limited to 'dev-cpp/gmock/gmock-1.6.0.ebuild')
-rw-r--r--dev-cpp/gmock/gmock-1.6.0.ebuild11
1 files changed, 9 insertions, 2 deletions
diff --git a/dev-cpp/gmock/gmock-1.6.0.ebuild b/dev-cpp/gmock/gmock-1.6.0.ebuild
index 7862e80a..42a2522b 100644
--- a/dev-cpp/gmock/gmock-1.6.0.ebuild
+++ b/dev-cpp/gmock/gmock-1.6.0.ebuild
@@ -4,7 +4,7 @@
EAPI="4"
-inherit libtool
+inherit flag-o-matic libtool
DESCRIPTION="Google's C++ mocking framework"
HOMEPAGE="http://code.google.com/p/googlemock/"
@@ -13,12 +13,19 @@ SRC_URI="http://googlemock.googlecode.com/files/${P}.zip"
LICENSE="BSD"
SLOT="0"
KEYWORDS="amd64 ~arm ~mips ppc ~ppc64 x86"
-IUSE="static-libs"
+IUSE="static-libs +tr1"
RDEPEND="=dev-cpp/gtest-${PV}*"
DEPEND="app-arch/unzip
${RDEPEND}"
+pkg_setup() {
+ if ! use tr1; then
+ append-cflags -DGTEST_USE_OWN_TR1_TUPLE=1
+ append-cxxflags -DGTEST_USE_OWN_TR1_TUPLE=1
+ fi
+}
+
src_unpack() {
default
# make sure we always use the system one